/***************************************************************************
                          dchubprofile.h  -  description
                             -------------------
    begin                : Fre Sep 20 2002
    copyright            : (C) 2002 by Mathias Kster
    email                : mathen@ketelhot.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DCHUBPROFILE_H
#define DCHUBPROFILE_H

#include <qwidget.h>
#include <DCDialogHubProfile.h>

/**
  *@author Mathias Kster
  */

class DCHubProfile : public DCDialogHubProfile  {
   Q_OBJECT
public: 
	/** */
	DCHubProfile(QWidget *parent=0, const char *name=0);
	/** */
	~DCHubProfile();

	/** */
	void InitDocument();

private:
	/** */
	void SaveProfile( QString name );

	/** */
	QString m_sOldName;

private slots:
	/** */
	void slotClickedNew();
	/** */
	void slotClickedDel();
	/** */
	void slotClickedCancel();
	/** */
	void slotClickedOK();
	/** */
	void slotProfileActiveted( const QString & );
};

#endif
